上传文件 (未实现)
此接口尚未实现
POST
/v1/files上传文件 (未实现)
此接口尚未实现
鉴权: 使用 Bearer Token 认证。 格式: `Authorization: Bearer sk-xxxxxx`
请求体
Content-Type: multipart/form-data
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
file | string | 格式: binary | |
purpose | string |
示例代码
curl -X POST "https://api.nodeprice.com/v1/files" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"file": "string",
"purpose": "string"
}'const url = "https://api.nodeprice.com/v1/files";
const body = {
"file": "string",
"purpose": "string"
};
const response = await fetch(url, {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify(body)
});
console.log(await response.text());package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://api.nodeprice.com/v1/files"
body := strings.NewReader(`{
"file": "string",
"purpose": "string"
}`)
req, err := http.NewRequest("POST", url, body)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
data, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(data))
}import requests
url = "https://api.nodeprice.com/v1/files"
body = """{
"file": "string",
"purpose": "string"
}"""
response = requests.request("POST", url, data=body, headers={
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
})
print(response.text)OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n"
+ " \"file\": \"string\",\n"
+ " \"purpose\": \"string\"\n"
+ "}");
Request request = new Request.Builder()
.url("https://api.nodeprice.com/v1/files")
.method("POST", body)
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer <token>")
.build();
Response response = client.newCall(request).execute();
System.out.println(response.body().string());#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl == NULL) {
return 1;
}
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(curl, CURLOPT_URL, "https://api.nodeprice.com/v1/files");
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\n"
+ " \"file\": \"string\",\n"
+ " \"purpose\": \"string\"\n"
+ "}");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
CURLcode code = curl_easy_perform(curl);
if (code != CURLE_OK) {
fprintf(stderr, "%s\n", curl_easy_strerror(code));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
return 0;
}using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.nodeprice.com/v1/files");
request.Headers.Add("Authorization", "Bearer <token>");
request.Content = new StringContent("{\n"
+ " \"file\": \"string\",\n"
+ " \"purpose\": \"string\"\n"
+ "}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
}
}响应
501 未实现
Content-Type: application/json
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
error | object | ||
message | string | 错误信息 | |
type | string | 错误类型 | |
param | string | null | 相关参数 | |
code | string | null | 错误代码 |